---
title: "Read video preparation progress for a workspace"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › LiveChat

`GET /api/livechat/video/prepare/{runId}`

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Path parameters

- `runId` (`get/api/livechat/video/prepare/runId.path.runId`; string, required)

## Query parameters

- `workspaceId` (`get/api/livechat/video/prepare/runId.query.workspaceId`; string, required)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.channelautomation.com/api/livechat/video/prepare/<runId>?workspaceId=string' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/livechat/video/prepare/<runId>?workspaceId=string';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/livechat/video/prepare/<runId>?workspaceId=string"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Processing, ready or failed

#### Example

```json
{
  "status": "processing",
  "url": "string",
  "path": "string",
  "bytes": 0,
  "durationSeconds": 0,
  "error": "string"
}
```

- `status` (`get/api/livechat/video/prepare/runId.response.200.status`; string, optional)
  - one of `"processing"`, `"ready"`, `"failed"`
- `url` (`get/api/livechat/video/prepare/runId.response.200.url`; string, optional)
- `path` (`get/api/livechat/video/prepare/runId.response.200.path`; string, optional)
- `bytes` (`get/api/livechat/video/prepare/runId.response.200.bytes`; integer, optional)
- `durationSeconds` (`get/api/livechat/video/prepare/runId.response.200.durationSeconds`; number, optional)
- `error` (`get/api/livechat/video/prepare/runId.response.200.error`; string, optional)

### 400

Invalid workspace or run ID

### 401

Verified session required

### 403

Workspace membership required

### 404

Run not in this workspace or not a video preparation

### 503

Progress unavailable


Source: https://developer.channelautomations.com/api/get-api-livechat-video-prepare-run-id/index.md
